import {
  getMessageList
} from '~/api/global'
import reachBottom from '~/mixins/reachBottom'
Page({
  behaviors: [reachBottom],
  data: {

  },
  onLoad(options) {
    this.resetData()
  },
  loadMore() {
    this.getData(this.getMessageList)
  },
  getMessageList(data) {
    return new Promise(async (reslove) => {
      let res = await getMessageList(data)
      res.list.forEach(item => {
        item.content = item.content.split('\n')
      })
      reslove(res)
    })
  },
  onReachBottom() {
    this.loadMore()
  },
})