import {
  request
} from "../utils/request";
module.exports = {
  //获取充值配置信息
  getProducts: data => request('/v3/product', 'get', data),
  // 获取任务配置
  getTasks: data => request('/v3/task', 'get', data),
  // 提交任务
  submitTask: data => request('/v3/task', 'post', data),
  // 获取轮播图列表
  getBannerList: data => request(`/v3/banner/${data}`, 'get', data),
  // 获取官方活动
  getActivities: data => request('/v3/activity', 'get', data),
  // 获取排行榜详情
  getRankingData: data => request(`/v3/activity/${data}`, 'get', data),
  // 获取朗读赛范文
  getModelTexts: data => request('/activityRead', 'get', data),
  // 获取朗读赛排行榜
  getReadRanking: data => request('/activityJoinUser/hotAmountTop', 'get', data),
  // 获取朗读赛排行榜参赛作品
  getSelfReadRanking: data => request('/activityJoinUser/activityRead', 'get', data),
  // 获取消息通知列表
  getMessageList: data => request('/message', 'get', data),
}